<?php

// tiki-edit_urlt_in.php - Edit Incoming URL translations
// This file: (c) 2004 Ralph Bolton (Licensed like Tiki)

// Initialisation
require_once ('tiki-setup.php');

// URLt is not implemented as a "Tiki feature" yet. When it is, reinstate this code.
//if ($feature_urlt != 'y') {
//	$smarty->assign('msg', tra("This feature is disabled").": feature_urlt");

//	$smarty->display("error.tpl");
//	die;
//}

// URLt does not have a permissions model yet, so we just check if user is an admin
// (which is cheesy). Reinstate this code when the tiki_p_edit_urlt permission (and
// associated editing capability) has been created in Tiki itself.
// Now check permissions to access this page
//if ($tiki_p_edit_urlt != 'y') {
//	$smarty->assign('msg', tra("Permission denied you cannot edit URL translations"));

//	$smarty->display("error.tpl");
//	die;
//}

if($tiki_p_admin != 'y')
{
	$smarty->assign('msg', tra("Permission denied you cannot edit URL translations"));
	$smarty->display("error.tpl");
	die;
}

// See if we're writing to the DB or not...
if($_SERVER['REQUEST_METHOD'] == 'POST')
{
	$out_msg="";
	$regexid_list=array();
	$regex_left_list=array();
	$regex_right_list=array();
	$regex_flags_list=array();
	$regex_cont_list=array();
	$delete_list=array();

	// Process posted information
	if(isset($_POST['regexid']))
	{
		$regexid_list=$_POST['regexid'];
	}
	if(isset($_POST['regex_left']))
	{
		$regex_left_list=$_POST['regex_left'];
	}
	if(isset($_POST['regex_right']))
	{
		$regex_right_list=$_POST['regex_right'];
	}
	if(isset($_POST['regex_flags']))
	{
		$regex_flags_list=$_POST['regex_flags'];
	}
	if(isset($_POST['continue_flag']))
	{
		$regex_cont_list=$_POST['continue_flag'];
	}
	if(isset($_POST['delete']))
	{
		$delete_list=$_POST['delete'];
	}
	if(isset($_POST['comment_text']))
	{
		$comment_list=$_POST['comment_text'];
	}

	$lines=array();
	$id=0;
	foreach (array_keys($regex_left_list) as $item)
	{
		if(isset($regexid_list[$item]))
		{
			$id=$regexid_list[$item];
		}
		else
		{
			continue;
		}
		if((isset($_POST['delete_'.$id])) && ($_POST['delete_'.$id] == "yes"))
		{
			// User wants to delete this line...
			if($tikilib->db->Execute("delete from tiki_urlt_regex_in where regexid=?", array($id)) === false)
			{
				$out_msg="Error deleting line $id from database: " . $tikilib->db->ErrorMsg();
				break;
			}
		}
		else
		{
			$cflag=$regex_cont_list[$item];
			if(($cflag != "0") && ($cflag != "1") && ($cflag != "2") && ($cflag != "3"))
			{
				$cflag="0";
			}
			$flags=$regex_flags_list[$item];
			$flags=preg_replace('/[^ims]*/i','',$flags);
			$comment=$comment_list[$item];
			if($tikilib->db->Execute("update tiki_urlt_regex_in set regex_left=?, regex_right=?, regex_flags=?, continue_flag=?, comment_text=? where regexid=?", array($regex_left_list[$item],$regex_right_list[$item],$flags,$cflag,$comment,$id)) === false)
			{
				$out_msg="Error updating data in database for ID $id: " . $tikilib->db->ErrorMsg();
				break;
			}
		}
	}

	// Now check for new entry..
	if((isset($_POST['regex_left_new']))  && (isset($_POST['regex_right_new'])) &&
		(isset($_POST['regex_flags_new'])) && (isset($_POST['continue_flag_new'])) &&
		($_POST['regex_left_new'] != "") && (isset($_POST['comment_text_new'])))
	{
		// Okay to add!
		// Sanity check the continue flag...
		$cflag=$_POST['continue_flag_new'];
		if(($cflag != "0") && ($cflag != "1") && ($cflag != "2") && ($cflag != "3"))
		{
			$cflag="0";
		}
		error_log("Flag in $flags");
		$flags=$_POST['regex_flags_new'];
		$flags=preg_replace('/[^ims]*/i','',$flags);
		error_log("Flags out $flags");


		if($tikilib->db->Execute("insert into tiki_urlt_regex_in (regex_left,regex_right,regex_flags,continue_flag,comment_text) values (?,?,?,?,?);",array($_POST['regex_left_new'],$_POST['regex_right_new'],$flags,$cflag,$_POST['comment_text_new']))===false)
		{
			$out_msg="Error adding new entry to database: " . $tikilib->db->ErrorMsg();
		}
	}


	$smarty->assign('urlt_message',$out_msg);
}

// Now (re)display the contents of the database table

$rs=0;
if(($rs=$tikilib->db->Execute("select * from tiki_urlt_regex_in")) === false)
{
	$smarty->assign('urlt_message',"Failed to read database: " . $tikilib->db->ErrorMsg());
}
else
{
	$urlt_entries=array();
	while($array = $rs->FetchRow())
	{
                $array['regex_left']=htmlentities($array['regex_left']);
                $array['regex_right']=htmlentities($array['regex_right']);
                $array['comment_text']=htmlentities($array['comment_text']);
		$urlt_entries[]=$array;
	}
	$smarty->assign_by_ref('urlt_entries',$urlt_entries);
}

$smarty->assign('title',"Edit Incoming URLt");

// Display the Template
$smarty->assign('mid', 'tiki-edit_urlt_in.tpl');
$smarty->assign('show_page_bar', 'n');
$smarty->display("tiki.tpl");

?>
